#pragma once
#include "Drawable.h"
#include "Logger.h"
#include "Structs.h"
#include "Surface.h"

class Triangle : public Drawable
{
public:
	Triangle(Graphics& gfx, StructVertexWithTexture vertices[], Logger& logger);
	void Update(float dt) noexcept override;
	DirectX::XMMATRIX GetTransformXM(Graphics& gfx) const noexcept override;
private:
	// positional
	//float position[3][3];
	// color
	//float color[1][3];
	// trasformation
	float dx = 0.0f;
	float dy = 0.0f;
	float dz = 0.0f;
};